function [L_master, C_master, Cset_master] = E10_19_nuclei_rev1
%
% E10_19_NUCLEI_REV1: [L_master, C_master, Cset_master] = E10_19_nuclei_rev1();
%
% Merge the edited E10_19 nucleus files. Manual editing with segmentation_editor produces
% one mat file for each image. Here we load those individual files and combine them
% into the _master products which have the results for the whole *set* of E10_19 images.
%
% INPUT:
% -----
% none (.mat files are loaded from nbase)
%
% OUTPUT:
% ------
% L_master    - (n_images X 1) cell array
% C_master    - (n_images X 1) cell array
% Cset_master - (n_images X 1) cell array
%
% See E10_19_nuclei.m for detailed description of outputs.
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

% Merge the edited nucleus files.
nbase = '/proj/og1/biology/aroeder/results/E10_19_img';
nsuff = '.mat';

N = 6;
L_master = cell(N,1);
C_master = cell(N,1);
Cset_master = cell(N,1);
for n=1:N
  nname = [nbase, int2str(n), nsuff];
  junk = load(nname);
  L_master{n,1} = junk.L_final;
  C_master{n,1} = junk.C_final;
  Cset_master{n,1} = junk.Cset_final;  
end
keyboard

