function B = ascale(A)
%
% ASCALE: B = ascale(A);
%
% Linearly scale a matrix A so its min and max values are mapped 
% to the range [1, 256]. 
%
% INPUT:
% -----
% A - matrix
% 
% OUTPUT:
% ------
% B - matrix such that B = c1 * A + c0 and min(B(:)) = 1 and max(B(:))=256
%
% SEE ALSO:
% --------
% This function is just a specialization of scale.m
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% scale.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

B = scale(A, -Inf,Inf,1,256);
