function Zs = chip_scale(Z)
% CHIP_SCALE: Zs = chip_scale(Z);
%
% Each row of Z is a chip. Rescale each row for maximum contrast.
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% scale.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

EPS = 1e-06;
[zr,zc] = size(Z);
Zs = zeros(zr,zc);

for i=1:zr
  z = Z(i,:);
% minz = min(z(z > EPS));
  minz = min(z);
  maxz = max(z);
  Zs(i,:) = scale(Z(i,:), minz, maxz, 1, 256);
end
