function q = choose(m, n, n_draws);
%
% CHOOSE: q = choose(m, n, n_draws);
%
% Create a vector of m numbers drawn from the numbers 1:n without replacement.
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

if (nargin < 3)
  n_draws = 1;
end
  

q = zeros(n_draws, m);

for i = 1:n_draws
  g = n;
  G = 1:n;
  for j = 1: m
    q(i,j) = G(fix(rand*g)+1);
    g = g-1;
    H = G(G ~= q(i,j));
    G = H;
  end
end