function [T_master, LL_master] = combined_tll()
%
% COMBINED_TLL: [T_master, LL_master] = combined_tll();
%
% Assemble individual stack frame (time point) results for 3D nuclei locations and
% lineage labels into _master cell arrays that hold results over the whole time sequence.
%
% INPUT:
% -----
% files of form TLL#.mat in directory tlldir
%
% OUTPUT:
% ------
% T_master  - 
% LL_master -
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% construct_fname.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

tlldir = '/proj/og1/biology/aroeder/data/flower_5/correspondences/';

T_master = [];
LL_master = [];

for i=1:17
  if ((i ~= 10) & (i ~=16))
    tname = construct_fname([tlldir,'TLL'], '.mat', i, 0);
    cmd = ['load ', tname];
    eval(cmd);
    T_master = [T_master; T];
    LL_master = [LL_master; LL];
  end
end

%keyboard
