function f = fig(A)
%
% FIG: f = fig(A);
%
% Autoscale a grayscale image and display in a new figure.
%
% INPUT:
% -----
% A - image
%
% OUTPUT:
% ------
% f  - [OPTIONAL] handle to the constructed figure
%
% A new figure displaying A. Values in A are rescaled so that minimum is mapped to 1
% and maximum is mapped to 256.
%
% NOTES:
% -----
% 1. If this function complains about the image type being uchar or int, use fig(double(A)).
% 2. Not designed to work with RGB color images.
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% ascale.m
% GC2.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------
figure;
image(ascale(double(A)));
GC2;

if (nargout > 0)
  f = gcf;
end
