function flower_5_get_stacks
%
% FLOWER_5_GET_STACKS: flower_5_get_stacks
%
% Retrieve amira-processed flower_5 stacks over the web using url_get (only works on unix).
%
% ---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% url_get.m
% construct_fname.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

n_times = 17;
f1 = [38; 43; 48; 34; 65; 194; 105; 119; 176; 172; 182; 116; 117; 158; 194; 316; 533];

urlprebase = 'http://computableplant.caltech.edu/~aroeder/flower5/amiraprocessed/5_';
urlsuff = '.tif';

obase = '/proj/og1/biology/aroeder/data/flower_5/amiraprocessed/t';

for t = 1:n_times
  fprintf(1, '%d\n', t);
  ucell = cell(f1(t)+1, 1);
  for f = 0:f1(t)
    urlbase = [urlprebase, int2str(t), '.'];
    ucell{f+1,1} =  construct_fname(urlbase, urlsuff, f, 4);
  end
  odir = [obase, int2str(t), '/'];
  url_get(ucell, odir);
end
