function val = get_value(NV, name)
% GET_VALUE: val = get_value(NV, name)
%
% INPUT:
% -----
% NV   - (N x 2) cell array of name-value pairs
% name - name for which you want to find value (string)
%
% OUTPUT:
% ------
% val - value for name (as a string)
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

[nr, nc] = size(NV);
if (nc ~= 2)
  fprintf(1, 'ERROR (get_value): was expecting (N x 2) cell array not (%d x %d)\n', nr, nc);
  val = [];
  return;
end

for k = 1:nr
  if (strcmp(NV{k,1}, name) == 1)
    val = NV{k,2};
    break
  end
end
