function [wm, wp] = half_width(w)
%
% HALF_WIDTH: [wm, wp] = half_width(w)
%
% Simple function to convert a width w into indices from -wm to wp inclusive.
% 
% INPUT:
% -----
% w - scalar (typically)
%
% OUTPUT:
% ------
% wm, wp - indices
%
% USAGE:
% ------
% To cut a rectangular window of size (h X w) out of an image at location (i,j), use:
%
% >> [hr, hc] = half_width(h);
% >> [wr, wc] = half_width(w);
% >> R = I(i-hr:i+hc, j-wr:j+wc);  % should also check that indices are "in bounds"
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

wm = floor((w-1)/2);
wp = floor(w/2);