function icluster_display(L, C, oid)
% ICLUSTER_DISPLAY: icluster_display(L, C, oid)
%
% Show results of icluster by assigning random color (or desired color) to each
% cluster.
%
% INPUT:
% -----
% L - integer-valued image (0 = background, non-zero - cluster ID)
% C - [optional] (n X 3) matrix of RGB values to assign in each cluster.
%       where n = 1+max(max(L)). If C is omitted, we just create random colors.
% oid - [optional] vector of object IDs to display (or empty to display all)
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% randcol.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

if (nargin < 3)
  oid = [];
end


%%figure;
if (isempty(oid))
  image(L+1);
else
  safe = zeros(size(L));
  for l = 1:length(oid)
    safe = safe + (L==oid(l));
  end
  image(L.*(safe > 0) + 1);
end

if (nargin < 2)
  C = randcol(1+max(max(L)), 0.3);
end
colormap([zeros(1,3);C]);
