function RGB = icluster_tint(I, L, s, C)
% 
% ICLUSTER_TINT: RGB = icluster_tint(I, L, s, C);
%
% INPUT:
% -----
% I  - original grayscale image
% L  - label image with cluster IDs assigned to pixels
% s  - scale factor for amount of tint to apply
% C  - color matrix (nobj X 3)
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

[nr, nc] = size(I);
RGB = zeros(nr, nc, 3);
RGB(:,:,1) = I*(1-s/256);
RGB(:,:,2) = I*(1-s/256);
RGB(:,:,3) = I*(1-s/256);

for i = 1:nr
  for j = 1:nc
    if (L(i,j) ~= 0)
      tint = s*C(L(i,j), :);
      for k = 1:3
        RGB(i,j,k) = RGB(i,j,k)+tint(k);
      end
    end
  end
end
