function ilist_movie(ilist, dt)
%
% ILIST_MOVIE: ilist_movie(ilist, dt);
%
% Display a list of images as a movie in a new figure window.
%
% INPUT:
% -----
% ilist  - name of file containing a list of images (with paths if not in current dir)
% dt     - time delay between displayed frames (def: dt = 1)
%
% OUTPUT:
% ------
% Display frames in a new figure
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% load_lines.m
% icell_movie.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

if (nargin < 2)
  dt = 1;
end

icell = load_lines(ilist);
icell_movie(icell, dt);
