function v = lineage_label_to_vector(l)
%
% LINEAGE_LABEL_TO_VECTOR: v = lineage_label_to_vector(l)
%
% Convert a lineage label (string) such as '21.1.2' into a vector such as [21;1;2].
%
% INPUT:
% -----
% l - string; lineage label, e.g., '21.1.2'
%
% OUTPUT:
% ------
% h - (g x 1) vector, e.g., [21;1;2]
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% tokenizer.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

% Break lineage label into pieces using dot as spearator
[s,e] = tokenizer(l, '.');
g = length(s); % identify generation
v = zeros(g,1);
for k = 1:g
  v(k,1) = str2num(l(s(1,k):e(1,k)));
end
