function L = load_lines(fname)
%
% LOAD_LINES: L = load_lines(fname);
%
% Read lines from a text file into a cell array such that each cell holds one line.
%
% INPUT:
% -----
% fname - name of text file
% 
% OUTPUT:
% ------
% L - cell array with one cell per line.
%
% NOTES:
% -----
% This function was formerly known as ilist_load_lines.m
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% count_lines.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------
[fp, n_lines] = count_lines(fname);
L = cell(n_lines, 1);
for l = 1:n_lines
  L{l,1} = fgetl(fp);
end
fclose(fp);  