function membrane_truth
%
% MEMBRANE_TRUTH: membrane_truth();
%
% Identify set of vertices  in set of membrane images by hand-clicking with mouse. See
% draw_polygon.m for description of mouse button actions.
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% construct_fname.m
% draw_polygon.m
% fig.m
% gaxis.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------
f0 = 19;
f1 = 63;
fwidth = 3;
isuff = '.tif';
ibase = '/proj/og1/biology/mheisler/data/for_eric/membranes/dye';
obase = '/proj/og1/biology/mheisler/ground_truth/vertices_';
osuff = '.txt';
  
  
for f = f0:f1
  fname = construct_fname(ibase, isuff, f, fwidth);
  I = double(imread(fname));
  fig(sqrt(I));
  title(int2str(f));
  gaxis
  Z = draw_polygon;
  
  % Write output file of vertices
  oname = construct_fname(obase, osuff, f, fwidth);
  fp = fopen(oname, 'w');
  if (~isempty(Z))
    for i = 1:size(Z,1)
      fprintf(fp, '%f %f\n', Z(i,1), Z(i,2));
    end
  end
  fclose(fp);
end
