function buffer = next_key_line(key, fp)
%
% NEXT_KEY_LINE: buffer = next_key_line(key, fp);
%
% Given a file pointer fp, read lines until we find one beginning with key
% or reach end of file.
%
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% tokenizer.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

L = length(key);

found = 0;
while (found == 0)
  buffer = fgetl(fp);
  if (buffer == -1)
    found = -1;
  end
  if (length(buffer) >= L)
    [n,e] = tokenizer(buffer);
    if (length(n) >=1)
      if ( strcmp(buffer(n(1):e(1)), key) == 1 )
        found = 1;
      end
    end
  end
end

if (found ~= 1)
  buffer = [];
end
  