function z = phiinv(p, mu, sigma)
%
% PHIINV: z = phiinv(p, mu, sigma); 
%
% Find z such that probability a Gaussian R.V.
%   with mean mu and std dev sigma is less than z will be equal to p.
%
% INPUT:
% -----
% p     - scalar; probability level
% mu    - scalar; mean
% sigma - scalar; standard deviation
%
% OUTPUT:
% ------
% z     - scalar; inverse CDF of Gaussian.
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

if (nargin <= 1)
  mu = 0.0;
  sigma = 1.0;
end
z = sigma * sqrt(2) * erfinv(2*p -1) + mu;
