function plot_rect(rect, col, lth)
%
% PLOT_RECT: plot_rect(rect, col, lth);
%
% Plots a rectangle defined by rect: rect(1)=x0, rect(2)=x1, rect(3)=y0, rect(4)=y1
%
% INPUT:
% -----
% rect
% col   - color code, e.g., 'r' or (1 X 3) RGB triple
% lth   - line thickness (def=1)
%
% OUTPUT:
% ------
% Draws rectangle on current plot (be sure to turn hold 'on') first.
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------
if(nargin < 3)
  lth = 1;
end

x = [rect(1), rect(2), rect(2), rect(1), rect(1)];
y = [rect(3), rect(3), rect(4), rect(4), rect(3)];
plot(x,y, 'Color', col, 'Linewidth', lth);

