function [V, C] = plot_voronoi_2d(X, col, lw)
%
% PLOT_VORONOI_2D: [V, C] = plot_voronoi_2d(X, col, lw);
%
% X   - (n_points X 2) matrix of points; 1st col = x-coord, 2nd col = y-coord
% col - color code for voronoi lines (either 1 character, or (1 X 3) vector
% lw  - linewidth for voronoi lines
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------
if (nargin < 3)
  lw = 2;
end
if (nargin < 2)
  col = [1, 0, 0];
end
bx = [min(X(:,1)), max(X(:,1))];
by = [min(X(:,2)), max(X(:,2))];
w = 2*(bx(2) - bx(1));
h = 2*(by(2) - by(1));

Xdum = [bx(1)-w, by(1)-h; bx(1)-w, by(2)+h; bx(2)+w, by(1)-h; bx(2)+w, by(2)+h];

[Vtmp, Ctmp] = voronoin([X; Xdum]);

for k=1:size(X,1)
  c = Ctmp{k,1}';
  c = [c; c(1)];
  plot(Vtmp(c,1), Vtmp(c,2), 'Color', col, 'Linewidth', lw);
  hon;
end

if (nargout == 2)
  V = Vtmp;
  C = Ctmp;
end
