function x = quantile(y, q);
%
% QUANTILE: x = quantile(y, q)
%
% Calculate value of x such that q percent of the y values are less than x.
%
% INPUT:
% -----
% y - vector of values
% q - desired qunatile
%
% OUTPUT:
% ------
% x - value such that q percent of the y values are less than x.
%
%--------------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%--------------------------------------------------------------------------------------------
n = length(y);
z = sort(y);
p = q*(n-1)+1;
pl = fix(p);
pu = pl+1;

if (p == pl)
  x = z(p);
elseif (q == 0.5)
  x = 0.5 * (z(pl) + z(pu)); 
else
  if (abs(p-pl) < abs(pu-p))
    x = z(pl);
  elseif (abs(p-pl) > abs(pu-p))
    x = z(pu);
  else
    x = 0.5 * (z(pl) + z(pu));
  end
end