function B = rgb_rot90(A, K)
%
% RGB_ROT90: B = rgb_rot90(A, K);
%
% Implements rot90 function for RGB color images.
%
% INPUT:
% -----
% A  - (ar X ac X ad) image, where usually ad = 3;
% K  - scalar; rotate by K*90 degrees
%
% OUTPUT:
% ------
% B - (br x bc X bd) image with bd = ad
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

if (nargin < 2)
  K = 1;
end

[ar, ac, ad] = size(A);

for d = 1:ad
  C = rot90(squeeze(A(:,:,d)), K);
  if (d == 1)
    B = zeros(size(C,1), size(C,2), ad);
  end
  B(:,:,d) = C;
end
