function A = set_image_borders(I, br, bc, val)
%
% SET_IMAGE_BORDERS: A = set_image_borders(I, br, bc, val);
%
% Set numbers along top, left, bottom, and right image border to a specified value.
%
% INPUT:
% -----
% I   - input image
% br  - height of border along top and bottom of image
% bc  - width of border along left and right of image
% val - replacement value for pixels along borders.
%
% OUTPUT:
% ------
% A  - output image; same size as I, but values enar the border of A will be set to val.
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

if (nargin < 4)
  val = 0;
end

[nr,nc] = size(I);
A = I;
A(1:br,:) = val;
A(nr-br+1:nr,:) = val;
A(:,1:bc) = val;
A(:,nc-bc+1:nc) = val;
