function A = set_image_borders(I, brm, brp, bcm, bcp, val)
%
% SET_IMAGE_BORDERS: A = set_image_borders(I, brm, brp, bcm, bcp, val);
%
% Set values along image border to val.
%
% INPUT:
% -----
% I   - input image
% brm - height of top border
% brp - height of bottom border
% bcm - width of left border
% bcp - width of right border
% val - value to be assigned to any pixels in border regions.
% 
% OUTPUT:
% ------
% A   - output image; same size as I, values along border are set to val.
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

if (nargin < 4)
  val = 0;
end

[nr,nc] = size(I);
A = I;
A(1:brm,:) = val;
A(nr-brp+1:nr,:) = val;
A(:,1:bcm) = val;
A(:,nc-bcp+1:nc) = val;
